﻿using System.IO;
using System.Linq;
using System.Windows;
using Infragistics.Controls.Grids;
using Infragistics.Documents.Excel;

namespace SpreadsheetMinimalPrototype
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			using (var fs = File.OpenRead("../../../Test.xlsx"))
			{
				// Load Worksheet
				var workbook = Workbook.Load(fs);
				
				// Protect Worksheet
				workbook.Worksheets.First().Protect(allowDeletingColumns: false, allowInsertingColumns: false, allowEditObjects: true,
					allowDeletingRows: true, allowEditScenarios: true, allowFiltering: true, allowFormattingCells: true,
					allowFormattingColumns: true, allowFormattingRows: true, allowInsertingHyperlinks: true,
					allowInsertingRows: true, allowSorting: true, allowUsingPivotTables: false);

				// Unprotect cells in the second row (first data row)
				workbook.Worksheets.First().Rows[1].Cells[0].CellFormat.Locked = ExcelDefaultableBoolean.False;
				workbook.Worksheets.First().Rows[1].Cells[1].CellFormat.Locked = ExcelDefaultableBoolean.False;
				workbook.Worksheets.First().Rows[1].Cells[2].CellFormat.Locked = ExcelDefaultableBoolean.False;
				
				spreadSheet.Workbook = workbook;
			}
		}
	}
}
